microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Query parameters
api-version
string
required
The API version to use for this operation.
Path parameters
name
string
required
The name of the resource
version
string
required
The specific version id of the DatasetVersion to operate on.
Responses
The request has succeeded.
Body
Content-Type: application/json
blobReference
BlobReference
required
Blob reference details.
blobUri
string
required
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
required
ARM ID of the storage account to use.
credential
SasCredential
required
SAS Credential definition
sasUri
string
required
SAS uri
type
enum
required
Type of credential
SAS
Request
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json